# Poco::XML

# class LocatorImpl

Library: XML
Package: SAX
Header: Poco/SAX/LocatorImpl.h

## Description

Provide an optional convenience implementation of Locator.

## Inheritance

Direct Base Classes: Locator

All Base Classes: Locator

## Member Summary

Member Functions: getColumnNumber, getLineNumber, getPublicId, getSystemId, operator =, setColumnNumber, setLineNumber, setPublicId, setSystemId

Inherited Functions: getColumnNumber, getLineNumber, getPublicId, getSystemId

## Constructors

### LocatorImpl

LocatorImpl();

Zero-argument constructor.

This will not normally be useful, since the main purpose of this class is to make a snapshot of an existing Locator.

### LocatorImpl

LocatorImpl(
const Locator & loc
);

Copy constructor.

Create a persistent copy of the current state of a locator. When the original locator changes, this copy will still keep the original values (and it can be used outside the scope of DocumentHandler methods).

## Destructor

### ~LocatorImpl

~LocatorImpl();

Destroys the Locator.

## Member Functions

### getColumnNumber

int getColumnNumber() const;

Return the saved column number (1-based).

See also: Poco::XML::Locator::getColumnNumber()

### getLineNumber

int getLineNumber() const;

Return the saved line number (1-based).

See also: Poco::XML::Locator::getLineNumber()

### getPublicId

XMLString getPublicId() const;

Return the saved public identifier.

See also: Poco::XML::Locator::getPublicId()

### getSystemId

XMLString getSystemId() const;

Return the saved system identifier.

See also: Poco::XML::Locator::getSystemId()

### operator =

LocatorImpl & operator = (
const Locator & loc
);

Assignment operator.

### setColumnNumber

void setColumnNumber(
int columnNumber
);

Set the column number for this locator (1-based).

### setLineNumber

void setLineNumber(
int lineNumber
);

Set the line number for this locator (1-based).

### setPublicId

void setPublicId(
const XMLString & publicId
);

Set the public identifier for this locator.

### setSystemId

void setSystemId(
const XMLString & systemId
);

Set the system identifier for this locator.